Get a global user's roles

get

/ec-auth-svc/rest/v2.0/globalusers/{userid}/roles

Retrieves a global user's assigned roles.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : RoleDtoParamsV3
Type: object
Represents an application role and its assignment attributes, including identifiers and display information.
Show Source
Example:
{
    "id":"37EFDC494C944E58ADAC8DA952A2C60C",
    "roleName":"Site User",
    "roleType":"Application",
    "roleCategory":"Study",
    "roleSeq":1,
    "unblinded":"Y"
}
Examples

400 Response

Bad request
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41f
Nested Schema : details
Type: object
Back to Top